# PhasicFlow: AdamsMoulton4 Class Reference

AdamsMoulton4 Class Reference
Inheritance diagram for AdamsMoulton4:
[legend]
Collaboration diagram for AdamsMoulton4:
[legend]

## Public Member Functions

| TypeInfo ("AdamsMoulton4")
| AdamsMoulton4 (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)
virtual | ~AdamsMoulton4 ()=default
| add_vCtor (integration, AdamsMoulton4, word)
bool | predict (real dt, realx3Vector_D &y, realx3Vector_D &dy) override
bool | correct (real dt, realx3Vector_D &y, realx3Vector_D &dy) override
bool | setInitialVals (const int32IndexContainer &newIndices, const realx3Vector &y) override
bool | needSetInitialVals () const override
uniquePtr< integration > | clone () const override
bool | predictAll (real dt, realx3Vector_D &y, realx3Vector_D &dy, range activeRng)
template<typename activeFunctor >
bool | predictRange (real dt, realx3Vector_D &y, realx3Vector_D &dy, activeFunctor activeP)
bool | intAll (real dt, realx3Vector_D &y, realx3Vector_D &dy, range activeRng)
template<typename activeFunctor >
bool | intRange (real dt, realx3Vector_D &y, realx3Vector_D &dy, activeFunctor activeP)
Public Member Functions inherited from integration
| TypeInfo ("integration")
| integration (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)
virtual | ~integration ()=default
| create_vCtor (integration, word,(const word &baseName, repository &owner, const pointStructure &pStruct, const word &method),(baseName, owner, pStruct, method))
const auto & | pStruct () const
const word & | baseName () const
repository & | owner ()

## Protected Types

using | rpIntegration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule< Kokkos::Static >, Kokkos::IndexType< int32 > >

## Protected Attributes

realx3PointField_D & | y0_
realx3PointField_D & | dy0_
realx3PointField_D & | dy1_
realx3PointField_D & | dy2_
Protected Attributes inherited from integration
repository & | owner_
const word | baseName_
const pointStructure & | pStruct_

## Additional Inherited Members

Static Public Member Functions inherited from integration
static uniquePtr< integration > | create (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)

## Detailed Description

Definition at line 32 of file AdamsMoulton4.hpp.

## Member Typedef Documentation

## rpIntegration

using rpIntegration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule<Kokkos::Static>, Kokkos::IndexType<int32> >

protected

Definition at line 50 of file AdamsMoulton4.hpp.

## Constructor & Destructor Documentation

## AdamsMoulton4()

AdamsMoulton4 | ( | const word & | baseName,
|  | repository & | owner,
|  | const pointStructure & | pStruct,
|  | const word & | method
| ) |  |

Definition at line 26 of file AdamsMoulton4.cpp.

## ~AdamsMoulton4()

virtual ~AdamsMoulton4 | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "AdamsMoulton4" |  | ) |

## add_vCtor()

add_vCtor | ( | integration | ,
|  | AdamsMoulton4 | ,
|  | word |
| ) |  |

## predict()

bool predict | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy
| ) |  |

overridevirtual

Implements integration.

Definition at line 84 of file AdamsMoulton4.cpp.

References pStruct.

## correct()

bool correct | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy
| ) |  |

overridevirtual

Implements integration.

Definition at line 104 of file AdamsMoulton4.cpp.

References pStruct.

## setInitialVals()

bool setInitialVals | ( | const int32IndexContainer & | newIndices,
|  | const realx3Vector & | y
| ) |  |

overridevirtual

Implements integration.

Definition at line 122 of file AdamsMoulton4.cpp.

References AdamsMoulton4::y0_.

## needSetInitialVals()

bool needSetInitialVals | ( |  | ) | const

inlineoverridevirtual

Implements integration.

Definition at line 81 of file AdamsMoulton4.hpp.

## clone()

uniquePtr<integration> clone | ( |  | ) | const

inlineoverridevirtual

Implements integration.

Definition at line 86 of file AdamsMoulton4.hpp.

## predictAll()

bool predictAll | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy,
|  | range | activeRng
| ) |  |

Definition at line 131 of file AdamsMoulton4.cpp.

References VectorSingle< T, MemorySpace >::deviceVectorAll(), and LAMBDA_HD.

Here is the call graph for this function:

## predictRange()

bool predictRange | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy,
|  | activeFunctor | activeP
| ) |  |

Definition at line 105 of file AdamsMoulton4.hpp.

References pointField< VectorField, T, MemorySpace >::activeRange(), VectorSingle< T, MemorySpace >::deviceVectorAll(), AdamsMoulton4::dy0_, AdamsMoulton4::dy1_, AdamsMoulton4::dy2_, LAMBDA_HD, and AdamsMoulton4::y0_.

Here is the call graph for this function:

## intAll()

bool intAll | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy,
|  | range | activeRng
| ) |  |

Definition at line 161 of file AdamsMoulton4.cpp.

References VectorSingle< T, MemorySpace >::deviceVectorAll(), and LAMBDA_HD.

Here is the call graph for this function:

## intRange()

bool intRange | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy,
|  | activeFunctor | activeP
| ) |  |

Definition at line 142 of file AdamsMoulton4.hpp.

References VectorSingle< T, MemorySpace >::deviceVectorAll(), and LAMBDA_HD.

Here is the call graph for this function:

## Member Data Documentation

## y0_

realx3PointField_D& y0_

protected

Definition at line 38 of file AdamsMoulton4.hpp.

Referenced by AdamsMoulton4::predictRange(), and AdamsMoulton4::setInitialVals().

## dy0_

realx3PointField_D& dy0_

protected

Definition at line 40 of file AdamsMoulton4.hpp.

Referenced by AdamsMoulton4::predictRange().

## dy1_

realx3PointField_D& dy1_

protected

Definition at line 42 of file AdamsMoulton4.hpp.

Referenced by AdamsMoulton4::predictRange().

## dy2_

realx3PointField_D& dy2_

protected

Definition at line 44 of file AdamsMoulton4.hpp.

Referenced by AdamsMoulton4::predictRange().

The documentation for this class was generated from the following files:

- src/Integration/AdamsMoulton4/AdamsMoulton4.hpp
- src/Integration/AdamsMoulton4/AdamsMoulton4.cpp